unit About;
{================================================================(Delphi 2.0)==}
{ Dialog: TAboutBox                           (Informationen zum Programm...)  }
{ Geschrieben :	10.12.2001                                                     }
{ Datei       : About.PAS                                                      }
{ Formular    : TAboutBox (About.DFM)                                          }
{ Version     : v0.01                                                          }
{ Vorfahr     : TForm                                                          }
{ nderungen:                                                                  }
{                                                                              }
{==============================================================================}
interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    DlgAboutInfoPanel: TPanel;
    DlgAboutOKButton: TBitBtn;
    DlgAboutProgrammnameInfoLabel: TLabel;
    DlgAboutVersionsnummerInfoLabel: TLabel;
    DlgAboutAutorInfoLabel: TLabel;
    DlgAboutErstellungsdatumInfoLabel: TLabel;
    DlgAboutAenderungsdatumInfoLabel: TLabel;
    DlgAboutBetriebssystemInfoLabel: TLabel;
    DlgAboutEntwicklungsumgebungInfoLabel: TLabel;
    DlgAboutDelphiVersionInfoLabel: TLabel;
    DlgAboutProgrammnameLabel: TLabel;
    DlgAboutVersionsnummerLabel: TLabel;
    DlgAboutAutorLabel: TLabel;
    DlgAboutErstellungsdatumLabel: TLabel;
    DlgAboutAenderungsdatumLabel: TLabel;
    DlgAboutBetriebssystemLabel: TLabel;
    DlgAboutEntwicklungsumgebungLabel: TLabel;
    DlgAboutDelphiVersionLabel: TLabel;
    DlgAboutCopyrightInfoLabel: TLabel;
    DlgAboutCopyrightLabel: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormShow(Sender: TObject);

  private
{ Memberdeklarationen fr dieses Objekt }
                   m_dlg_Programmname         : string;
                   m_dlg_Versionsnummer       : string;
                   m_dlg_Copyright            : string;
                   m_dlg_Autor                : string;
                   m_dlg_ErstellungsDatum     : string;
                   m_dlg_AenderungsDatum      : string;
                   m_dlg_Betriebssystem       : string;
                   m_dlg_Entwicklungsumgebung : string;
                   m_dlg_DelphiVersion        : string;

  public
{ Schnittstellenmethode }
  procedure EingabeWerte(Programmname         : string;
                         Versionsnummer       : string;
                         Copyright            : string;
                         Autor                : string;
                         ErstellungsDatum     : string;
                         AenderungsDatum      : string;
                         Betriebssystem       : string;
                         Entwicklungsumgebung : string;
                         DelphiVersion        : string);
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}
{====================================================================}
{ Konstruktor: FormCreate                                            }
{ Standard-Vorgabewete setzen. Die Member erhalten ihre Vorgaben.    }
{====================================================================}
procedure TAboutBox.FormCreate(Sender: TObject);
begin
    m_dlg_Programmname         := 'Demo-Programm';
    m_dlg_Versionsnummer       := '1.0';
    m_dlg_Copyright            := '1998-2001 M. Haupenthal';
    m_dlg_Autor                := 'M. Haupenthal';
    m_dlg_ErstellungsDatum     := '01.08.1999';
    m_dlg_AenderungsDatum      := '09.12.2001';
    m_dlg_Betriebssystem       := 'Windows 95/98/NT';
    m_dlg_Entwicklungsumgebung := 'Delphi';
    m_dlg_DelphiVersion        := '2.0';
end;

{====================================================================}
{ Schnittstellen-Methode: EingabeWerte                               }
{ bergabe der Darstellungswerte an die Member des Objektes          }
{====================================================================}
procedure TAboutBox.EingabeWerte(Programmname         : string;
                                 Versionsnummer       : string;
                                 Copyright            : string;
                                 Autor                : string;
                                 ErstellungsDatum     : string;
                                 AenderungsDatum      : string;
                                 Betriebssystem       : string;
                                 Entwicklungsumgebung : string;
                                 DelphiVersion        : string);
begin
      m_dlg_Programmname         := Programmname;
      m_dlg_Versionsnummer       := Versionsnummer;
      m_dlg_Copyright            := Copyright;
      m_dlg_Autor                := Autor;
      m_dlg_ErstellungsDatum     := ErstellungsDatum ;
      m_dlg_AenderungsDatum      := AenderungsDatum;
      m_dlg_Betriebssystem       := Betriebssystem;
      m_dlg_Entwicklungsumgebung := Entwicklungsumgebung;
      m_dlg_DelphiVersion        := DelphiVersion;
end;

{====================================================================}
{ Methode: FormDestroy                                               }
{ Entfernt das Objekt, die Komponente oder das Steuerelement und     }
{ gibt den ihnen zugewiesenen Speicher frei.                         }
{====================================================================}
procedure TAboutBox.FormDestroy(Sender: TObject);
begin
{ Hinweis:                                          }
{ Es wurde nichts zustzliches mit create erzeugt ! }
end;

{====================================================================}
{ Methode: FormResize                                                }
{ Ausgabefelder des Dialoges NEU setzen                              }
{====================================================================}
procedure TAboutBox.FormResize(Sender: TObject);
begin
  FormShow(Sender);
end;

{====================================================================}
{ Methode: FormShow                                                  }
{ Ausgabefelder des Dialoges setzen                                  }
{====================================================================}
procedure TAboutBox.FormShow(Sender: TObject);
begin
     DlgAboutProgrammnameLabel.Caption         := m_dlg_Programmname;
     DlgAboutCopyrightLabel.Caption            := m_dlg_Copyright;
     DlgAboutVersionsnummerLabel.Caption       := m_dlg_Versionsnummer;
     DlgAboutAutorLabel.Caption                := m_dlg_Autor;
     DlgAboutErstellungsdatumLabel.Caption     := m_dlg_ErstellungsDatum;
     DlgAboutAenderungsdatumLabel.Caption      := m_dlg_AenderungsDatum;
     DlgAboutBetriebssystemLabel.Caption       := m_dlg_Betriebssystem;
     DlgAboutEntwicklungsumgebungLabel.Caption := m_dlg_Entwicklungsumgebung;
     DlgAboutDelphiVersionLabel.Caption        := m_dlg_DelphiVersion;
end;

end.

